### Method

# AppStream Component add_reference

since: 1.0.0

#### Declaration [src]

    void
    as_component_add_reference (
      AsComponent* cpt,
      AsReference* reference
    )

#### Description [src]

Adds an external reference to the software component.

Available since: 1.0.0

#### Parameters

`reference`

  Type: `AsReference`

  An `AsReference` instance.

  The data is owned by the caller of the method.